# directives needed in ISC's dhcpd.conf

...

option arch code 93 = unsigned integer 16;

allow booting;
allow bootp;

subnet <your subnet> {
  ...
  # following line: 00:06 = efi32 ; 00:07 = efi64
  if option arch = 00:07 {
      filename "efi64/syslinux.efi";
  } else {
      filename "bios/pxelinux.0";
      #filename "bios/images/archlinux/ipxe.pxe";
  }
  next-server <IP of PXE server>;
  ...
}

...
